# Default values for Chart.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

hacknizerService:
  name: api-gateway
  replicas: 1
  stateful: false

  image:
    repository: jooaodanieel/hacknizer-api-gateway
    tag: latest
    pullPolicy: Always

  service:
    type: NodePort
    nodePort: 30100
    port: 3131
    targetPort: 3131

  env:
    - name: AUTH_API_URL
      value: 'http://auth-api:3000/graphql'
    - name: HACK_API_URL
      value: 'http://hackathon-api:3000/graphql'
    # - name: GROUP_MODULE
    #   value: 'http://group-api:3000/graphql'
    # - name: PARTICIPATION
    #   value: 'http://participants-api:3000/graphql'
    # - name: PWA_GENERATOR
    #   value: 'http://pwa-generator-api:3000/graphql'
    # - name: PART_SELECTION
    #   value: 'http://selection-api:3000/graphql'

  resources: {}
    # We usually recommend not to specify default resources and to leave this as a conscious
    # choice for the user. This also increases chances charts run on environments with little
    # resources, such as Minikube. If you do want to specify resources, uncomment the following
    # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
    # limits:
    #  cpu: 100m
    #  memory: 128Mi
    # requests:
    #  cpu: 100m
    #  memory: 128Mi

  nodeSelector: {}

  tolerations: []

  affinity: {}
